CVC4::Predicate Class Reference

`#include <predicate.h>`

## Public Member Functions

| Predicate (Expr e, Expr w=Expr()) throw (IllegalArgumentException)
| operator Expr () const
bool | operator== (const Predicate &p) const

## Friends

std::ostream & | CVC4::operator<< (std::ostream &out, const Predicate &p)
size_t | PredicateHashFunction::operator() (const Predicate &p) const

## Detailed Description

Definition at line 42 of file predicate.h.

## Constructor & Destructor Documentation

## Predicate()

CVC4::Predicate::Predicate | ( | Expr | e,
|  | Expr | w = Expr() )
throw | ( | IllegalArgumentException ) |  |  |

## Member Function Documentation

## operator Expr()

CVC4::Predicate::operator Expr | ( |  | ) | const

## operator==()

bool CVC4::Predicate::operator== | ( | const Predicate & | p | ) | const

## Friends And Related Symbol Documentation

## CVC4::operator<<

std::ostream & CVC4::operator<< | ( | std::ostream & | out,
|  | const Predicate & | p )

friend

## PredicateHashFunction::operator()

size_t PredicateHashFunction::operator() | ( | const Predicate & | p | ) | const

friend

The documentation for this class was generated from the following file:

- src/util/predicate.h